/////////////////////////////////////////////////
//入力項目チェック
/////////////////////////////////////////////////
function funcInputCheck() {
	var f = document.forms[0];
	var bCheckResult = true;

	document.getElementById('TR_ConnectType').className = '';
	document.getElementById('TR_Proxy').className = '';
	document.getElementById('TR_Http').className = '';

	//有線LAN IPアドレス
	if(document.getElementById('gnp-input-wire').checked
		&& document.getElementById('gnp-input-wire-dhcp-notuse').checked
		&& f.ReqIpAddress.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_Lan_Ip').style.display = '';
		document.getElementById('P_Lan_Ip').innerHTML = '※有線LAN IPアドレスは、省略できません。';
		bCheckResult = false;
	} else if(funcCheckIpAddress(f.ReqIpAddress.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_Lan_Ip').style.display = '';
		document.getElementById('P_Lan_Ip').innerHTML = '※有線LAN IPアドレスは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Lan_Ip').style.display='none';
		document.getElementById('P_Lan_Ip').innerHTML = '';
	}

	//有線LAN サブネットマスク
	if(document.getElementById('gnp-input-wire').checked
		&& document.getElementById('gnp-input-wire-dhcp-notuse').checked
		&& f.ReqSubnetMask.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_Lan_Mask').style.display = '';
		document.getElementById('P_Lan_Mask').innerHTML = '※有線LAN サブネットマスクは、省略できません。';
		bCheckResult = false;
	} else if(funcCheckIpAddress(f.ReqSubnetMask.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_Lan_Mask').style.display = '';
		document.getElementById('P_Lan_Mask').innerHTML = '※有線LAN サブネットマスクは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Lan_Mask').style.display='none';
		document.getElementById('P_Lan_Mask').innerHTML = '';
	}

	//有線LAN デフォルトGW
	if(f.ReqDefaultGetway.value != '' && funcCheckIpAddress(f.ReqDefaultGetway.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_Lan_Getway').style.display = '';
		document.getElementById('P_Lan_Getway').innerHTML = '※有線LAN デフォルトGWは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Lan_Getway').style.display='none';
		document.getElementById('P_Lan_Getway').innerHTML = '';
	}

	//有線LAN DNS
	if(f.hidExtDnsSecondary.value == '0' || f.hidExtDnsSecondary.value == '')
	{
		if(f.ReqDnsAddress.value != '' && funcCheckIpAddress(f.ReqDnsAddress.value) == false) {
			document.getElementById('TR_ConnectType').className = 'gnp-error-point';
			document.getElementById('P_Lan_DNS').style.display = '';
			document.getElementById('P_Lan_DNS').innerHTML = '※有線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
			bCheckResult = false;
		} else {
			document.getElementById('P_Lan_DNS').style.display='none';
			document.getElementById('P_Lan_DNS').innerHTML = '';
		}
	} else {
		// V100R015 -->
		if(f.ReqDnsAddress.value != '' ) {
			var dnsLst = f.ReqDnsAddress.value.split(" ");
			var dnsRet = false;
			if( dnsLst.length > 2 ) {
				dnsRet = true;
			}
			if( !dnsRet ){
				if( dnsLst.length >= 1 && dnsLst[0] != '' ) {
					if(funcCheckIpAddress(dnsLst[0]) == false) {
						dnsRet = true;
					}
				}
			}
			if( !dnsRet ){
				if( dnsLst.length >= 2 && dnsLst[1] != '' ) {
					if(funcCheckIpAddress(dnsLst[1]) == false) {
						dnsRet = true;
					}
				}
			}
			if( dnsRet ){
				document.getElementById('TR_ConnectType').className = 'gnp-error-point';
				document.getElementById('P_Lan_DNS').style.display = '';
				document.getElementById('P_Lan_DNS').innerHTML = '※有線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0 255.255.255.0］(セカンダリは、スペースで連結)';
				bCheckResult = false;
			} else {
				document.getElementById('P_Lan_DNS').style.display='none';
				document.getElementById('P_Lan_DNS').innerHTML = '';
			}
		}
		// V100R015 <--
	}

	//無線LAN SSID
	if(document.getElementById('gnp-input-wireless').checked
		&& f.ReqSSID.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_SSID').style.display = '';
		document.getElementById('P_WLan_SSID').innerHTML = '※無線LAN SSIDは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSID.value != '' && checkCharType(f.ReqSSID.value, 'hankaku') == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_SSID').style.display = '';
		document.getElementById('P_WLan_SSID').innerHTML = '※無線LAN SSIDは、フォーマットが正しくありません。［半角英数字1～32文字］';
		bCheckResult = false;
	} else {
		document.getElementById('P_WLan_SSID').style.display='none';
		document.getElementById('P_WLan_SSID').innerHTML = '';
	}

	//無線LAN パスワード
	if(document.getElementById('gnp-input-wireless').checked
		&& f.ReqWifiPassword.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Pass').style.display = '';
		document.getElementById('P_WLan_Pass').innerHTML = '※無線LAN パスワードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqWifiPassword.value != '' && (f.ReqWifiPassword.value.length < 8 || checkCharType(f.ReqWifiPassword.value, 'hankaku')) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_SSID').style.display = '';
		document.getElementById('P_WLan_SSID').innerHTML = '※無線LAN SSIDは、フォーマットが正しくありません。［半角英数字1～32文字］';
		bCheckResult = false;
	} else {
		document.getElementById('P_WLan_Pass').style.display='none';
		document.getElementById('P_WLan_Pass').innerHTML = '';
	}

	//無線LAN IPアドレス
	if(document.getElementById('gnp-input-wireless').checked
		&& document.getElementById('gnp-input-wireless-dhcp-notuse').checked
		&& f.ReqWifiIpAddress.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Ip').style.display = '';
		document.getElementById('P_WLan_Ip').innerHTML = '※無線LAN IPアドレスは、省略できません。';
		bCheckResult = false;
	} else if(funcCheckIpAddress(f.ReqWifiIpAddress.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Ip').style.display = '';
		document.getElementById('P_WLan_Ip').innerHTML = '※無線LAN IPアドレスは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_WLan_Ip').style.display='none';
		document.getElementById('P_WLan_Ip').innerHTML = '';
	}

	//無線LAN サブネットマスク
	if(document.getElementById('gnp-input-wireless').checked
		&& document.getElementById('gnp-input-wireless-dhcp-notuse').checked
		&& f.ReqWifiSubnetMask.value == '') {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Mask').style.display = '';
		document.getElementById('P_WLan_Mask').innerHTML = '※無線LAN サブネットマスクは、省略できません。';
		bCheckResult = false;
	} else if(funcCheckIpAddress(f.ReqWifiSubnetMask.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Mask').style.display = '';
		document.getElementById('P_WLan_Mask').innerHTML = '※無線LAN サブネットマスクは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_WLan_Mask').style.display='none';
		document.getElementById('P_WLan_Mask').innerHTML = '';
	}

	//無線LAN デフォルトGW
	if(f.ReqWifiDefaultGetway.value != '' && funcCheckIpAddress(f.ReqWifiDefaultGetway.value) == false) {
		document.getElementById('TR_ConnectType').className = 'gnp-error-point';
		document.getElementById('P_WLan_Getway').style.display = '';
		document.getElementById('P_WLan_Getway').innerHTML = '※無線LAN デフォルトGWは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
		bCheckResult = false;
	} else {
		document.getElementById('P_WLan_Getway').style.display='none';
		document.getElementById('P_WLan_Getway').innerHTML = '';
	}

	//無線LAN デフォルトDNS
	if(f.hidExtDnsSecondary.value == '0' || f.hidExtDnsSecondary.value == '')
	{
		if(f.ReqWifiDnsAddress.value != '' && funcCheckIpAddress(f.ReqWifiDnsAddress.value) == false) {
			document.getElementById('TR_ConnectType').className = 'gnp-error-point';
			document.getElementById('P_WLan_DNS').style.display = '';
			document.getElementById('P_WLan_DNS').innerHTML = '※無線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］';
			bCheckResult = false;
		} else {
			document.getElementById('P_WLan_DNS').style.display='none';
			document.getElementById('P_WLan_DNS').innerHTML = '';
		}
	} else {
		// V100R015 -->
		if(f.ReqWifiDnsAddress.value != '' ) {
			var dnsLst = f.ReqWifiDnsAddress.value.split(" ");
			var dnsRet = false;
			if( dnsLst.length > 2 ) {
				dnsRet = true;
			}
			if( !dnsRet ){
				if( dnsLst.length >= 1 && dnsLst[0] != '' ) {
					if(funcCheckIpAddress(dnsLst[0]) == false) {
						dnsRet = true;
					}
				}
			}
			if( !dnsRet ){
				if( dnsLst.length >= 2 && dnsLst[1] != '' ) {
					if(funcCheckIpAddress(dnsLst[1]) == false) {
						dnsRet = true;
					}
				}
			}
			if( dnsRet ){
				document.getElementById('TR_ConnectType').className = 'gnp-error-point';
				document.getElementById('P_WLan_DNS').style.display = '';
				document.getElementById('P_WLan_DNS').innerHTML = '※無線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0 255.255.255.0］(セカンダリは、スペースで連結)';
				bCheckResult = false;
			} else {
				document.getElementById('P_WLan_DNS').style.display='none';
				document.getElementById('P_WLan_DNS').innerHTML = '';
			}
		}
		// V100R015 <--
	}

	//Proxyサーバ名／ProxyサーバIP
	if(document.getElementById('gnp-input-prxy').checked
		&& f.ReqProxyServer.value == '') {
		document.getElementById('TR_Proxy').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Server').style.display = '';
		document.getElementById('P_Proxy_Server').innerHTML = '※Proxyサーバ名／ProxyサーバIPが未入力です。';
		bCheckResult = false;
	} else if(f.ReqProxyServer.value != '' && checkCharType(f.ReqProxyServer.value, 'hankaku') == false) {
		document.getElementById('TR_Proxy').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Server').style.display = '';
		document.getElementById('P_Proxy_Server').innerHTML = '※Proxyサーバ名／ProxyサーバIPは、フォーマットが正しくありません。［（入力例: 255.255.255.0） または 半角英数字記号100文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Proxy_Server').style.display='none';
		document.getElementById('P_Proxy_Server').innerHTML = '';
	}

	//Proxyサーバポート番号
	if(document.getElementById('gnp-input-prxy').checked
		&& f.ReqProxySvrPort.value == '') {
		document.getElementById('TR_Proxy').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Port').style.display = '';
		document.getElementById('P_Proxy_Port').innerHTML = '※Proxyサーバポート番号が未入力です。';
		bCheckResult = false;
	} else if(f.ReqProxySvrPort.value != '' && checkCharType(f.ReqProxySvrPort.value, 'numeric') == false) {
		document.getElementById('TR_Proxy').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Port').style.display = '';
		document.getElementById('P_Proxy_Port').innerHTML = '※Proxyサーバポート番号は、フォーマットが正しくありません。［半角数字0～99999］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Proxy_Port').style.display='none';
		document.getElementById('P_Proxy_Port').innerHTML = '';
	}

	//Basic認証ユーザ名
	if(document.getElementById('gnp-input-basic').checked
		&& f.ReqBasicVerifyUser.value == '') {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Basic_User').style.display = '';
		document.getElementById('P_Basic_User').innerHTML = '※Basic認証ユーザ名は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqBasicVerifyUser.value != '' && checkCharType(f.ReqBasicVerifyUser.value, 'hankaku') == false) {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Basic_User').style.display = '';
		document.getElementById('P_Basic_User').innerHTML = '※Basic認証ユーザ名は、フォーマットが正しくありません。［半角英数字256文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Basic_User').style.display='none';
		document.getElementById('P_Basic_User').innerHTML = '';
	}

	//Basic認証パスワード
	if(document.getElementById('gnp-input-basic').checked
		&& f.ReqBasicVerifyPass.value == '') {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Basic_Pass').style.display = '';
		document.getElementById('P_Basic_Pass').innerHTML = '※Basic認証パスワードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqBasicVerifyPass.value != '' && checkCharType(f.ReqBasicVerifyPass.value, 'hankaku') == false) {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Basic_Pass').style.display = '';
		document.getElementById('P_Basic_Pass').innerHTML = '※Basic認証パスワードは、フォーマットが正しくありません。［半角英数字256文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Basic_Pass').style.display='none';
		document.getElementById('P_Basic_Pass').innerHTML = '';
	}

	//Proxy認証ユーザ名
	if(document.getElementById('gnp-input-proxyA').checked
		&& f.ReqProxyVerifyUser.value == '') {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Proxy_User').style.display = '';
		document.getElementById('P_Proxy_User').innerHTML = '※Proxy認証ユーザ名は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqProxyVerifyUser.value != '' && checkCharType(f.ReqProxyVerifyUser.value, 'hankaku') == false) {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Proxy_User').style.display = '';
		document.getElementById('P_Proxy_User').innerHTML = '※Proxy認証ユーザ名は、フォーマットが正しくありません。［半角英数字256文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Proxy_User').style.display='none';
		document.getElementById('P_Proxy_User').innerHTML = '';
	}

	//Proxy認証パスワード
	if(document.getElementById('gnp-input-proxyA').checked
		&& f.ReqProxyVerifyPass.value == '') {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Pass').style.display = '';
		document.getElementById('P_Proxy_Pass').innerHTML = '※Proxy認証パスワードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqProxyVerifyPass.value != '' && checkCharType(f.ReqProxyVerifyPass.value, 'hankaku') == false) {
		document.getElementById('TR_Http').className = 'gnp-error-point';
		document.getElementById('P_Proxy_Pass').style.display = '';
		document.getElementById('P_Proxy_Pass').innerHTML = '※Proxy認証パスワードは、フォーマットが正しくありません。［半角英数字256文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('P_Proxy_Pass').style.display='none';
		document.getElementById('P_Proxy_Pass').innerHTML = '';
	}

	//接続先サーバホスト名／サーバIP
	if(f.ReqConnectServer.value == '') {
		document.getElementById('TR_ConnectServer').className = 'gnp-error-point';
		document.getElementById('P_ConnectServer').style.display = '';
		document.getElementById('P_ConnectServer').innerHTML = '※接続先サーバホスト名／サーバIPは、省略できません。';
		bCheckResult = false;
	} else if(checkCharType(f.ReqConnectServer.value, 'hankaku') == false) {
		document.getElementById('TR_ConnectServer').className = 'gnp-error-point';
		document.getElementById('P_ConnectServer').style.display = '';
		document.getElementById('P_ConnectServer').innerHTML = '※接続先サーバホスト名／サーバIPは、フォーマットが正しくありません。［（入力例: 255.255.255.0） または 半角英数字記号100文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('TR_ConnectServer').className = '';
		document.getElementById('P_ConnectServer').style.display='none';
		document.getElementById('P_ConnectServer').innerHTML = '';
	}

	//接続先サイト
	if(f.ReqConnectSite.value == '') {
		document.getElementById('TR_ConnectSite').className = 'gnp-error-point';
		document.getElementById('P_ConnectSite').style.display = '';
		document.getElementById('P_ConnectSite').innerHTML = '※接続先サイトは、省略できません。';
		bCheckResult = false;
	} else if(checkCharType(f.ReqConnectSite.value, 'hankaku') == false) {
		document.getElementById('TR_ConnectSite').className = 'gnp-error-point';
		document.getElementById('P_ConnectSite').style.display = '';
		document.getElementById('P_ConnectSite').innerHTML = '※接続先サイトは、フォーマットが正しくありません。［半角英数字記号100文字まで］';
		bCheckResult = false;
	} else if( f.ReqConnectSite.value.slice(-1) == '/') {
		document.getElementById('TR_ConnectSite').className = 'gnp-error-point';
		document.getElementById('P_ConnectSite').style.display = '';
		document.getElementById('P_ConnectSite').innerHTML = '※接続先サイトの最終文字に ／ は使用できません。';
		bCheckResult = false;
	} else {
		document.getElementById('TR_ConnectSite').className = '';
		document.getElementById('P_ConnectSite').style.display='none';
		document.getElementById('P_ConnectSite').innerHTML = '';
	}

	//ポート番号
	if(f.ReqPortNo.value == '') {
		document.getElementById('TR_PortNo').className = 'gnp-error-point';
		document.getElementById('P_PortNo').style.display = '';
		document.getElementById('P_PortNo').innerHTML = '※ポート番号は、省略できません。';
		bCheckResult = false;
	} else if(checkCharType(f.ReqPortNo.value, 'numeric') == false) {
		document.getElementById('TR_PortNo').className = 'gnp-error-point';
		document.getElementById('P_PortNo').style.display = '';
		document.getElementById('P_PortNo').innerHTML = '※ポート番号は、フォーマットが正しくありません。［半角数字0～99999］';
		bCheckResult = false;
	} else {
		document.getElementById('TR_PortNo').className = '';
		document.getElementById('P_PortNo').style.display='none';
		document.getElementById('P_PortNo').innerHTML = '';
	}

	//拡張子
	if(f.ReqExtension.value != '' && checkCharType(f.ReqExtension.value, 'alphanumeric') == false) {
		document.getElementById('TR_Extension').className = 'gnp-error-point';
		document.getElementById('P_Extension').style.display="";
		document.getElementById('P_Extension').innerHTML = '※拡張子は、フォーマットが正しくありません。［半角英数字5文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('TR_Extension').className = '';
		document.getElementById('P_Extension').style.display='none';
		document.getElementById('P_Extension').innerHTML = '';
	}

	if(bCheckResult == false) {
		document.getElementById('DIV_Error').style.display = '';
		return false;
	} else {
		document.getElementById('DIV_Error').style.display = 'none';
		return true;
	}
}

/////////////////////////////////////////////////
//ボディオンロードイベント処理
/////////////////////////////////////////////////
function funcOnload() {
	var f = document.forms[0];

	//接続種別
	if(f.hidWIFI.value == '1') 
	{
		document.getElementById('gnp-input-wireless').checked = true;
		document.getElementById('gnp-input-wireless').click();
		
	} else 
	{
		document.getElementById('gnp-input-wire').checked = true;
		document.getElementById('gnp-input-wire').click();
	}
	//有線LAN DHCP
	if(f.hidDHCP.value == '1') {
		document.getElementById('gnp-input-wire-dhcp-use').checked = true;
		document.getElementById('gnp-input-wire-dhcp-use').click();
	} else {
		document.getElementById('gnp-input-wire-dhcp-notuse').checked = true;
		document.getElementById('gnp-input-wire-dhcp-notuse').click();
	}

	//無線LAN DHCP
	if(f.hidWifiDHCP.value == '1') {
		document.getElementById('gnp-input-wireless-dhcp-use').checked = true;
		document.getElementById('gnp-input-wireless-dhcp-use').click();
	} else {
		document.getElementById('gnp-input-wireless-dhcp-notuse').checked = true;
		document.getElementById('gnp-input-wireless-dhcp-notuse').click();
	}

	//Proxy設定
	if(f.hidProxy.value == '1') 
	{
		document.getElementById('gnp-input-prxy').checked = true;
		document.getElementById('gnp-input-prxy').click();
	} else 
	{
		document.getElementById('gnp-input-prxy-no').checked = true;
		document.getElementById('gnp-input-prxy-no').click();
	}

	//Basic認証
	if(f.hidBasicVerify.value == '1') {
		document.getElementById('gnp-input-basic').checked = true;
		document.getElementById('gnp-input-basic').click();
	} else {
		document.getElementById('gnp-input-basic-no').checked = true;
		document.getElementById('gnp-input-basic-no').click();
	}

	//Proxy認証
	if(f.hidProxyVerify.value == '1') {
		document.getElementById('gnp-input-proxyA').checked = true;
		document.getElementById('gnp-input-proxyA').click();
	} else {
		document.getElementById('gnp-input-proxyA-no').checked = true;
		document.getElementById('gnp-input-proxyA-no').click();
	}

	//SSL
	if(f.hidSSL.value == '1') {
		document.getElementById('gnp-ssl').checked = true;
	} else {
		document.getElementById('gnp-ssl-no').checked = true;
	}
	
	if(f.GNPUserMode.value == 'normal')
	{
console.log("スーパユーザ以外");
		document.getElementById('TR_ConnectType').style.display = 'none';
	}
}

///////////////////////////
//DHCP変更時処理
///////////////////////////
function funcClickDHCP(flag)
{
	var ip = document.getElementById('gnp-ip');
	var sub = document.getElementById('gnp-sub');
	var gw = document.getElementById('gnp-gw');
	var dns = document.getElementById('gnp-dns');

	var gray = '#808080';
	//DHCP使用時
	if(flag)
	{
		//背景色をグレーに
		ip.style.backgroundColor = gray;
		sub.style.backgroundColor = gray;
		gw.style.backgroundColor = gray;
		dns.style.backgroundColor = gray;
	
	//DHCP未使用時
	}else
	{
		//背景色を白に
		ip.style.backgroundColor = '';
		sub.style.backgroundColor = '';
		gw.style.backgroundColor = '';
		dns.style.backgroundColor = '';
	}

}
///////////////////////////
//DHCP(Wifi)変更時処理
///////////////////////////
function funcClickDHCPwifi(flag)
{
	var ip = document.getElementById('gnp-ip-wifi');
	var sub = document.getElementById('gnp-sub-wifi');
	var gw = document.getElementById('gnp-gw-wifi');
	var dns = document.getElementById('gnp-dns-wifi');

	var gray = '#808080';
	//DHCP使用時
	if(flag)
	{
		//背景色をグレーに
		ip.style.backgroundColor = gray;
		sub.style.backgroundColor = gray;
		gw.style.backgroundColor = gray;
		dns.style.backgroundColor = gray;
	
	//DHCP未使用時
	}else
	{
		//背景色を白に
		ip.style.backgroundColor = '';
		sub.style.backgroundColor = '';
		gw.style.backgroundColor = '';
		dns.style.backgroundColor = '';
	}
}