#!/bin/bash
# exec cmd after deploy
#
# File Version 001.001
#
# param
#  non

# File Check V000911
if [ -e /home/pi/Greennuts/temp/pgdlV000911.txt ]; then
    echo 'NORMAL'
else
    echo 'NO FILE'
    echo '000911' > /home/pi/Greennuts/bin/version.txt
    echo '000911' > /home/pi/Greennuts/temp/pgdlV000911.txt
fi

# EDIT /etc/rsyslog.conf (delete tail 4 line) V100R005
sudo cat /etc/rsyslog.conf | grep "daemon.*;mail.*"
if [ "$?" -eq 0 ] ; then
  sudo cp /etc/rsyslog.conf /etc/rsyslog.conf.bak
  sudo sed -i -e '$d' /etc/rsyslog.conf
  sudo sed -i -e '$d' /etc/rsyslog.conf
  sudo sed -i -e '$d' /etc/rsyslog.conf
  sudo sed -i -e '$d' /etc/rsyslog.conf
  echo "Delete 4 line"
  sudo /etc/init.d/rsyslog restart
  echo "restart"
else
  echo "Performed"
fi

# add column V100R005
if [ -e /home/pi/Greennuts/db/wifissiddb ]; then
  if [ -e /home/pi/Greennuts/db/wifissiddb.pgudbak ]; then
    echo "complied"
  else
    cd /home/pi/Greennuts/db
    sudo cp wifissiddb wifissiddb.pgudbak
    COMMAND="sudo sqlite3 wifissiddb"
    SQL="ALTER TABLE SSIDLISTDATA ADD COLUMN sec TEXT;"
    SQL2="ALTER TABLE SSIDLISTDATA ADD COLUMN rev TEXT;"
    SQL3="update SSIDLISTDATA set sec='WPA' where sec Is NULL;"
    SQL4="update SSIDLISTDATA set rev='' where rev Is NULL;"
    echo $SQL
    val=$(echo $SQL | $COMMAND)
    echo $val
    echo $SQL2
    val=$(echo $SQL2 | $COMMAND)
    echo $val
    echo $SQL3
    val=$(echo $SQL3 | $COMMAND)
    echo $val
    echo $SQL4
    val=$(echo $SQL4 | $COMMAND)
    echo $val
  fi
fi

# V100R016 change config.txt -->
if [ -e /home/pi/Greennuts/temp/boot_delay_2.txt ]; then
    echo "reset" > /home/pi/Greennuts/temp/boot_delay_2.txt
else
    echo "set"   > /home/pi/Greennuts/temp/boot_delay_2.txt
    cp /boot/config.txt /boot/config.bak
    echo "boot_delay=2" >> /boot/config.txt
    sudo reboot
fi
# change config.txt <--

## SYSTEM Info
##CPU temp
#var=$(cat /sys/class/thermal/thermal_zone0/temp)
#cpu=$(cat /proc/stat | grep cpu)
#clk=$(cat /sys/devices/system/cpu/cpu*/cpufreq/scaling_cur_freq)
#echo $(date +%Y%m%d%H%M) >> /home/pi/Greennuts/log/temp.log
#echo $var >> /home/pi/Greennuts/log/temp.log
#echo $cpu >> /home/pi/Greennuts/log/temp.log
#echo $clk >> /home/pi/Greennuts/log/temp.log

## File Data Check
#ver=$(cat /home/pi/Greennuts/temp/ver.txt)
#echo $ver
#if [ "$ver" = "000911" ]; then
#  echo '000911'
#else
#  echo '000911' > /home/pi/Greennuts/temp/ver.txt
#fi
