/////////////////////////////////////////////////
//入力項目チェック
/////////////////////////////////////////////////
function funcInputCheck() {
	var f = document.forms[0];
	var bCheckResult = true;

	document.getElementById('TR_Felica').className = '';
	//document.getElementById('TR_MIFARE').className = '';

	//FCF:社員番号開始位置
	if(document.getElementById('gnp-input-felica-fcf').checked
		&& f.ReqFcfMemberPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfMemberPos').style.display = '';
		document.getElementById('P_FcfMemberPos').innerHTML = '※FCF:社員番号開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqFcfMemberPos.value != '' &&
		(checkCharType(f.ReqFcfMemberPos.value, 'numeric') == false || parseInt(f.ReqFcfMemberPos.value, 10) < 1 || parseInt(f.ReqFcfMemberPos.value, 10) > 16)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfMemberPos').style.display = '';
		document.getElementById('P_FcfMemberPos').innerHTML = '※FCF:社員番号開始位置は、フォーマットが正しくありません。［半角数字1～16］';
		bCheckResult = false;
	} else {
		document.getElementById('P_FcfMemberPos').style.display='none';
		document.getElementById('P_FcfMemberPos').innerHTML = '';
	}

	//FCF:社員番号桁数
	if(document.getElementById('gnp-input-felica-fcf').checked
		&& f.ReqFcfMemberLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfMemberLen').style.display = '';
		document.getElementById('P_FcfMemberLen').innerHTML = '※FCF:社員番号桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqFcfMemberLen.value != '' &&
		(checkCharType(f.ReqFcfMemberLen.value, 'numeric') == false || parseInt(f.ReqFcfMemberLen.value, 10) < 1 || parseInt(f.ReqFcfMemberLen.value, 10) > 10)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfMemberLen').style.display = '';
		document.getElementById('P_FcfMemberLen').innerHTML = '※FCF:社員番号桁数は、フォーマットが正しくありません。［半角数字1～10］';
		bCheckResult = false;
	} else {
		document.getElementById('P_FcfMemberLen').style.display='none';
		document.getElementById('P_FcfMemberLen').innerHTML = '';
	}

	//FCF:所属コード開始位置
	if(document.getElementById('gnp-input-felica-fcf').checked
		&& document.getElementById('gnp-felica-check-yes').checked
		&& f.ReqFcfSectionPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSectionPos').style.display = '';
		document.getElementById('P_FcfSectionPos').innerHTML = '※FCF:所属コード開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqFcfSectionPos.value != '' &&
		(checkCharType(f.ReqFcfSectionPos.value, 'numeric') == false || parseInt(f.ReqFcfSectionPos.value, 10) < 1 || parseInt(f.ReqFcfSectionPos.value, 10) > 16)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSectionPos').style.display = '';
		document.getElementById('P_FcfSectionPos').innerHTML = '※FCF:所属コード開始位置は、フォーマットが正しくありません。［半角数字1～16］';
		bCheckResult = false;
	} else {
		document.getElementById('P_FcfSectionPos').style.display='none';
		document.getElementById('P_FcfSectionPos').innerHTML = '';
	}

	//FCF:所属コード桁数
	if(document.getElementById('gnp-input-felica-fcf').checked
		&& document.getElementById('gnp-felica-check-yes').checked
		&& f.ReqFcfSectionLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSectionLen').style.display = '';
		document.getElementById('P_FcfSectionLen').innerHTML = '※FCF:所属コード桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqFcfSectionLen.value != '' &&
		(checkCharType(f.ReqFcfSectionLen.value, 'numeric') == false || parseInt(f.ReqFcfSectionLen.value, 10) < 1 || parseInt(f.ReqFcfSectionLen.value, 10) > 16)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSectionLen').style.display = '';
		document.getElementById('P_FcfSectionLen').innerHTML = '※FCF:所属コード桁数は、フォーマットが正しくありません。［半角数字1～16］';
		bCheckResult = false;
	} else {
		document.getElementById('P_FcfSectionLen').style.display='none';
		document.getElementById('P_FcfSectionLen').innerHTML = '';
	}

	//FCF:所属コード
	if(document.getElementById('gnp-input-felica-fcf').checked
		&& document.getElementById('gnp-felica-check-yes').checked
		&& f.ReqFcfSection.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSection').style.display = '';
		document.getElementById('P_FcfSection').innerHTML = '※FCF:所属コードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqFcfSection.value != '' && checkCharType(f.ReqFcfSection.value, 'alphanumeric') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_FcfSection').style.display = '';
		document.getElementById('P_FcfSection').innerHTML = '※FCF:所属コードは、フォーマットが正しくありません。［半角英数字16文字］';
		bCheckResult = false;
	} else {
		document.getElementById('P_FcfSection').style.display='none';
		document.getElementById('P_FcfSection').innerHTML = '';
	}

	//SSFC:システムコード
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& f.ReqSSFCSystemCode.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSystemCode').style.display = '';
		document.getElementById('P_SSFCSystemCode').innerHTML = '※SSFC:システムコードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCSystemCode.value != '' && checkCharType(f.ReqSSFCSystemCode.value, 'systemcode') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSystemCode').style.display = '';
		document.getElementById('P_SSFCSystemCode').innerHTML = '※SSFC:システムコードは、フォーマットが正しくありません。［半角英数字0000～FFFF］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCSystemCode').style.display='none';
		document.getElementById('P_SSFCSystemCode').innerHTML = '';
	}

	//SSFC:社員番号開始位置
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& f.ReqSSFCMemberPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCMemberPos').style.display = '';
		document.getElementById('P_SSFCMemberPos').innerHTML = '※SSFC:社員番号開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCMemberPos.value != '' &&
		(checkCharType(f.ReqSSFCMemberPos.value, 'numeric') == false || parseInt(f.ReqSSFCMemberPos.value, 10) < 1 || parseInt(f.ReqSSFCMemberPos.value, 10) > 14)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCMemberPos').style.display = '';
		document.getElementById('P_SSFCMemberPos').innerHTML = '※SSFC:社員番号開始位置は、フォーマットが正しくありません。［半角数字1～14］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCMemberPos').style.display='none';
		document.getElementById('P_SSFCMemberPos').innerHTML = '';
	}

	//SSFC:社員番号桁数
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& f.ReqSSFCMemberLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCMemberLen').style.display = '';
		document.getElementById('P_SSFCMemberLen').innerHTML = '※SSFC:社員番号桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCMemberLen.value != '' &&
		(checkCharType(f.ReqSSFCMemberLen.value, 'numeric') == false || parseInt(f.ReqSSFCMemberLen.value, 10) < 1 || parseInt(f.ReqSSFCMemberLen.value, 10) > 10)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCMemberLen').style.display = '';
		document.getElementById('P_SSFCMemberLen').innerHTML = '※SSFC:社員番号桁数は、フォーマットが正しくありません。［半角数字1～10］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCMemberLen').style.display='none';
		document.getElementById('P_SSFCMemberLen').innerHTML = '';
	}

	//SSFC:会社コード開始位置
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& document.getElementById('gnp-ssfc-check-yes').checked
		&& f.ReqSSFCSectionPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSectionPos').style.display = '';
		document.getElementById('P_SSFCSectionPos').innerHTML = '※SSFC:会社コード開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCSectionPos.value != '' &&
		(checkCharType(f.ReqSSFCSectionPos.value, 'numeric') == false || parseInt(f.ReqSSFCSectionPos.value, 10) < 1 || parseInt(f.ReqSSFCSectionPos.value, 10) > 8)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSectionPos').style.display = '';
		document.getElementById('P_SSFCSectionPos').innerHTML = '※SSFC:会社コード開始位置は、フォーマットが正しくありません。［半角数字1～8］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCSectionPos').style.display='none';
		document.getElementById('P_SSFCSectionPos').innerHTML = '';
	}

	//SSFC:会社コード桁数
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& document.getElementById('gnp-ssfc-check-yes').checked
		&& f.ReqSSFCSectionLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSectionLen').style.display = '';
		document.getElementById('P_SSFCSectionLen').innerHTML = '※SSFC:会社コード桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCSectionLen.value != '' &&
		(checkCharType(f.ReqSSFCSectionLen.value, 'numeric') == false || parseInt(f.ReqSSFCSectionLen.value, 10) < 1 || parseInt(f.ReqSSFCSectionLen.value, 10) > 8)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSectionLen').style.display = '';
		document.getElementById('P_SSFCSectionLen').innerHTML = '※SSFC:会社コード桁数は、フォーマットが正しくありません。［半角数字1～8］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCSectionLen').style.display='none';
		document.getElementById('P_SSFCSectionLen').innerHTML = '';
	}

	//SSFC:会社コード
	if(document.getElementById('gnp-input-felica-ssfc').checked
		&& document.getElementById('gnp-ssfc-check-yes').checked
		&& f.ReqSSFCSection.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSection').style.display = '';
		document.getElementById('P_SSFCSection').innerHTML = '※SSFC:会社コードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSSFCSection.value != '' && checkCharType(f.ReqSSFCSection.value, 'alphanumeric') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_SSFCSection').style.display = '';
		document.getElementById('P_SSFCSection').innerHTML = '※SSFC:会社コードは、フォーマットが正しくありません。［半角英数字8文字］';
		bCheckResult = false;
	} else {
		document.getElementById('P_SSFCSection').style.display='none';
		document.getElementById('P_SSFCSection').innerHTML = '';
	}

	//FeliCa:システムコード
	if(document.getElementById('gnp-input-otherFmt').checked
		&& f.ReqOthSystemCode.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthSystemCode').style.display = '';
		document.getElementById('P_OthSystemCode').innerHTML = '※FeliCa:システムコードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqOthSystemCode.value != '' && checkCharType(f.ReqOthSystemCode.value, 'systemcode') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthSystemCode').style.display = '';
		document.getElementById('P_OthSystemCode').innerHTML = '※FeliCa:システムコードは、フォーマットが正しくありません。［半角英数字0000～FFFF］';
		bCheckResult = false;
	} else {
		document.getElementById('P_OthSystemCode').style.display='none';
		document.getElementById('P_OthSystemCode').innerHTML = '';
	}

	//FeliCa:サービスコード
	if(document.getElementById('gnp-input-otherFmt').checked
		&& f.ReqOthServiceCode.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthServiceCode').style.display = '';
		document.getElementById('P_OthServiceCode').innerHTML = '※FeliCa:サービスコードは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqOthServiceCode.value != '' && checkCharType(f.ReqOthServiceCode.value, 'systemcode') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthServiceCode').style.display = '';
		document.getElementById('P_OthServiceCode').innerHTML = '※FeliCa:サービスコードは、フォーマットが正しくありません。［半角英数字0000～FFFF］';
		bCheckResult = false;
	} else {
		document.getElementById('P_OthServiceCode').style.display='none';
		document.getElementById('P_OthServiceCode').innerHTML = '';
	}

	//FeliCa:ブロック番号
	if(document.getElementById('gnp-input-otherFmt').checked
		&& f.ReqOthBlockNo.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthBlockNo').style.display = '';
		document.getElementById('P_OthBlockNo').innerHTML = '※FeliCa:ブロック番号は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqOthBlockNo.value != '' &&
		(checkCharType(f.ReqOthBlockNo.value, 'numeric') == false || parseInt(f.ReqOthBlockNo.value, 10) > 64)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthBlockNo').style.display = '';
		document.getElementById('P_OthBlockNo').innerHTML = '※FeliCa:ブロック番号は、フォーマットが正しくありません。［半角数字0～64］';
		bCheckResult = false;
	} else {
		document.getElementById('P_OthBlockNo').style.display='none';
		document.getElementById('P_OthBlockNo').innerHTML = '';
	}

	//FeliCa:社員番号開始位置
	if(document.getElementById('gnp-input-otherFmt').checked
		&& f.ReqOthMemberPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthMemberPos').style.display = '';
		document.getElementById('P_OthMemberPos').innerHTML = '※FeliCa:社員番号開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqOthMemberPos.value != '' &&
		(checkCharType(f.ReqOthMemberPos.value, 'numeric') == false || parseInt(f.ReqOthMemberPos.value, 10) < 1 || parseInt(f.ReqOthMemberPos.value, 10) > 16)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthMemberPos').style.display = '';
		document.getElementById('P_OthMemberPos').innerHTML = '※FeliCa:社員番号開始位置は、フォーマットが正しくありません。［半角数字1～16］';
		bCheckResult = false;
	} else {
		document.getElementById('P_OthMemberPos').style.display='none';
		document.getElementById('P_OthMemberPos').innerHTML = '';
	}

	//FeliCa:社員番号桁数
	if(document.getElementById('gnp-input-otherFmt').checked
		&& f.ReqOthMemberLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthMemberLen').style.display = '';
		document.getElementById('P_OthMemberLen').innerHTML = '※FeliCa:社員番号桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqOthMemberLen.value != '' &&
		(checkCharType(f.ReqOthMemberLen.value, 'numeric') == false || parseInt(f.ReqOthMemberLen.value, 10) < 1 || parseInt(f.ReqOthMemberLen.value, 10) > 10)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_OthMemberLen').style.display = '';
		document.getElementById('P_OthMemberLen').innerHTML = '※FeliCa:社員番号桁数は、フォーマットが正しくありません。［半角数字1～10］';
		bCheckResult = false;
	} else {
		document.getElementById('P_OthMemberLen').style.display='none';
		document.getElementById('P_OthMemberLen').innerHTML = '';
	}

	//MI:セクタ番号
	if(document.getElementById('gnp-input-mifare').checked
		&& f.ReqMiSecterNo.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiSecterNo').style.display = '';
		document.getElementById('P_MiSecterNo').innerHTML = '※MIFARE:セクタ番号は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqMiSecterNo.value != '' &&
		(checkCharType(f.ReqMiSecterNo.value, 'numeric') == false || parseInt(f.ReqMiSecterNo.value, 10) > 15)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiSecterNo').style.display = '';
		document.getElementById('P_MiSecterNo').innerHTML = '※MIFARE:セクタ番号は、フォーマットが正しくありません。［半角数字0～15］';
		bCheckResult = false;
	} else {
		document.getElementById('P_MiSecterNo').style.display='none';
		document.getElementById('P_MiSecterNo').innerHTML = '';
	}

	//MI:ブロック番号
	if(document.getElementById('gnp-input-mifare').checked
		&& f.ReqMiBlockNo.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiBlockNo').style.display = '';
		document.getElementById('P_MiBlockNo').innerHTML = '※MIFARE:ブロック番号は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqMiBlockNo.value != '' &&
		(checkCharType(f.ReqMiBlockNo.value, 'numeric') == false || parseInt(f.ReqMiBlockNo.value, 10) > 3)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiBlockNo').style.display = '';
		document.getElementById('P_MiBlockNo').innerHTML = '※MIFARE:ブロック番号は、フォーマットが正しくありません。［半角数字0～3］';
		bCheckResult = false;
	} else {
		document.getElementById('P_MiBlockNo').style.display='none';
		document.getElementById('P_MiBlockNo').innerHTML = '';
	}

	//MI:キー入力
	if(document.getElementById('gnp-input-mifare').checked
		&& f.ReqMiKeyVal.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiKeyVal').style.display = '';
		document.getElementById('P_MiKeyVal').innerHTML = '※MIFARE:キーは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqMiKeyVal.value != '' && checkCharType(f.ReqMiKeyVal.value, 'alphanumeric') == false) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiKeyVal').style.display = '';
		document.getElementById('P_MiKeyVal').innerHTML = '※MIFARE:キーは、フォーマットが正しくありません。［半角英数字6文字］';
		bCheckResult = false;
	} else {
		document.getElementById('P_MiKeyVal').style.display='none';
		document.getElementById('P_MiKeyVal').innerHTML = '';
	}

	//MI:社員番号開始位置
	if(document.getElementById('gnp-input-mifare').checked
		&& f.ReqMiMemberPos.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiMemberPos').style.display = '';
		document.getElementById('P_MiMemberPos').innerHTML = '※MIFARE:社員番号開始位置は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqMiMemberPos.value != '' &&
		(checkCharType(f.ReqMiMemberPos.value, 'numeric') == false || parseInt(f.ReqMiMemberPos.value, 10) < 1 || parseInt(f.ReqMiMemberPos.value, 10) > 16)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiMemberPos').style.display = '';
		document.getElementById('P_MiMemberPos').innerHTML = '※MIFARE:社員番号開始位置は、フォーマットが正しくありません。［半角数字1～16］';
		bCheckResult = false;
	} else {
		document.getElementById('P_MiMemberPos').style.display='none';
		document.getElementById('P_MiMemberPos').innerHTML = '';
	}

	//MI:社員番号桁数
	if(document.getElementById('gnp-input-mifare').checked
		&& f.ReqMiMemberLen.value == '') {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiMemberLen').style.display = '';
		document.getElementById('P_MiMemberLen').innerHTML = '※MIFARE:社員番号桁数は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqMiMemberLen.value != '' &&
		(checkCharType(f.ReqMiMemberLen.value, 'numeric') == false || parseInt(f.ReqMiMemberLen.value, 10) < 1 || parseInt(f.ReqMiMemberLen.value, 10) > 10)) {
		document.getElementById('TR_Felica').className = 'gnp-error-point';
		document.getElementById('P_MiMemberLen').style.display = '';
		document.getElementById('P_MiMemberLen').innerHTML = '※MIFARE:社員番号桁数は、フォーマットが正しくありません。［半角数字1～10］';
		bCheckResult = false;
	} else {
		document.getElementById('P_MiMemberLen').style.display='none';
		document.getElementById('P_MiMemberLen').innerHTML = '';
	}

	//同一カード連続検出防止タイマ
	if(f.ReqPreventTime.value == '') {
		document.getElementById('TR_PreventTime').className = 'gnp-error-point';
		document.getElementById('P_PreventTime').style.display = '';
		document.getElementById('P_PreventTime').innerHTML = '※同一カード連続検出防止タイマは、省略できません。';
		bCheckResult = false;
	} else if(checkCharType(f.ReqPreventTime.value, 'numeric') == false) {
		document.getElementById('TR_PreventTime').className = 'gnp-error-point';
		document.getElementById('P_PreventTime').style.display = '';
		document.getElementById('P_PreventTime').innerHTML = '※同一カード連続検出防止タイマは、フォーマットが正しくありません。［半角数字1～9999］';
		bCheckResult = false;
	} else {
		document.getElementById('TR_PreventTime').className = '';
		document.getElementById('P_PreventTime').style.display='none';
		document.getElementById('P_PreventTime').innerHTML = '';
	}

	if(bCheckResult == false) {
		document.getElementById('DIV_Error').style.display = '';
		return false;
	} else {
		document.getElementById('DIV_Error').style.display = 'none';
		return true;
	}
}

/////////////////////////////////////////////////
//ボディオンロードイベント処理
/////////////////////////////////////////////////
function funcOnload() {
	var f = document.forms[0];
	//読み取り対象カード種別
	if(f.hidCardDiv.value == '0') 
	{
		document.getElementById('gnp-input-felica-idm').checked = true;
		document.getElementById('gnp-input-felica-idm').click();
	
	} else if(f.hidCardDiv.value == '1') 
	{
		document.getElementById('gnp-input-mifare-uid').checked = true;
		document.getElementById('gnp-input-mifare-uid').click();

	} else if(f.hidCardDiv.value == '2') 
	{
		document.getElementById('gnp-input-felica-mifare').checked = true;
		document.getElementById('gnp-input-felica-mifare').click();

	} else if(f.hidCardDiv.value == '3') 
	{
		document.getElementById('gnp-input-felica-fcf').checked = true;
		document.getElementById('gnp-input-felica-fcf').click();

	} else if(f.hidCardDiv.value == '4') 
	{
		document.getElementById('gnp-input-felica-ssfc').checked = true;
		document.getElementById('gnp-input-felica-ssfc').click();

	} else if(f.hidCardDiv.value == '5') 
	{
		document.getElementById('gnp-input-otherFmt').checked = true;
		document.getElementById('gnp-input-otherFmt').click();
	
	} else 
	{
		document.getElementById('gnp-input-mifare').checked = true;
		document.getElementById('gnp-input-mifare').click();
	}
	
	//FCF:所属チェック有無
	if(f.hidFcfSectionCheck.value == '1') {
		document.getElementById('gnp-felica-check-yes').checked = true;
		document.getElementById('gnp-felica-check-yes').click();
	} else {
		document.getElementById('gnp-felica-check-no').checked = true;
		document.getElementById('gnp-felica-check-no').click();
	}
	//FCF:打刻時の社員情報表示
	if(f.hidFcfDispMember.value != "") {
		f.ReqFcfDispMember.value = f.hidFcfDispMember.value;
	}
	//SSFC:格納領域
	if(f.hidSSFCArea.value != "") {
		f.ReqSSFCArea.value = f.hidSSFCArea.value;
	}
	//SSFC:会社チェック有無
	if(f.hidSSFCSectionCheck.value == '1') {
		document.getElementById('gnp-ssfc-check-yes').checked = true;
		document.getElementById('gnp-ssfc-check-yes').click();;
	} else {
		document.getElementById('gnp-ssfc-check-no').checked = true;
		document.getElementById('gnp-ssfc-check-no').click();
	}
	//SSFC:打刻時の社員情報表示
	if(f.hidSSFCDispMember.value != "") {
		f.ReqSSFCDispMember.value = f.hidSSFCDispMember.value;
	}
	//FeliCa:打刻時の社員情報表示
	if(f.hidOthDispMember.value != "") {
		f.ReqOthDispMember.value = f.hidOthDispMember.value;
	}
	//MI:キー(0:A/1:B)
	if(f.hidMiKey.value == '1') {
		document.getElementById('gnp-mifare-key-B').checked = true;
	} else {
		document.getElementById('gnp-mifare-key-A').checked = true;
	}
	//MI:社員情報表示
	if(f.hidMiDispMember.value != "") {
		f.ReqMiDispMember.value = f.hidMiDispMember.value;
	}
	//未登録カード検出時の動作
	if(f.hidMemberUnRegist.value != "") {
		f.ReqMemberUnRegist.value = f.hidMemberUnRegist.value;
	}
}

/////////////////////////////////////
//所属チェック使用有無クリック時処理
/////////////////////////////////////
function funcClickGroupCheck(flag)
{
	var gray = '#808080';
	
	var start = document.getElementById('gnp-felica-codeStart');
	var dgt = document.getElementById('gnp-felica-codeDgt');
	var code = document.getElementById('gnp-felica-code');
	
	//所属チェック使用時
	if(flag)
	{
		//背景色を白に
		start.style.backgroundColor = '';
		dgt.style.backgroundColor = '';
		code.style.backgroundColor = '';
	
	//未使用時
	}else
	{
		//背景色をグレーに
		start.style.backgroundColor = gray;
		dgt.style.backgroundColor = gray;
		code.style.backgroundColor = gray;
	}
}
function funcClickGroupCheckSSFC(flag)
{
	var gray = '#808080';
	
	var start = document.getElementById('gnp-ssfc-codeStart');
	var dgt = document.getElementById('gnp-ssfc-codeDgt');
	var code = document.getElementById('gnp-ssfc-code');
	
	//所属チェック使用時
	if(flag)
	{
		//背景色を白に
		start.style.backgroundColor = '';
		dgt.style.backgroundColor = '';
		code.style.backgroundColor = '';
	
	//未使用時
	}else
	{
		//背景色をグレーに
		start.style.backgroundColor = gray;
		dgt.style.backgroundColor = gray;
		code.style.backgroundColor = gray;
	}
}