/////////////////////////////////////////////////
//入力項目チェック
/////////////////////////////////////////////////
function funcInputCheck() {
	var f = document.forms[0];
	var bCheckResult = true;

	document.getElementById('TR_Save_Set').className = '';
	document.getElementById('TR_ModeChange').className = '';

	//スクリーンセーバー起動時間
	if((document.getElementById('gnp-save-list-2').checked || document.getElementById('gnp-save-list-3').checked)
		&& f.ReqSsOnTimer.value == '') {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_SsOnTimer').style.display = '';
		document.getElementById('P_SsOnTimer').innerHTML = '※スクリーンセーバー起動時間は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqSsOnTimer.value != '' && checkCharType(f.ReqSsOnTimer.value, 'numeric') == false) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_SsOnTimer').style.display = '';
		document.getElementById('P_SsOnTimer').innerHTML = '※スクリーンセーバー起動時間は、フォーマットが正しくありません。[半角数字1～9999]';
		bCheckResult = false;
	} else {
		document.getElementById('P_SsOnTimer').style.display='none';
		document.getElementById('P_SsOnTimer').innerHTML = '';
	}

	//バックライトOFF時間
	if((document.getElementById('gnp-save-list-2').checked || document.getElementById('gnp-save-list-4').checked)
		&& f.ReqBlOffTimer.value == '') {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_BlOffTimer').style.display = '';
		document.getElementById('P_BlOffTimer').innerHTML = '※バックライトOFF時間は、省略できません。';
		bCheckResult = false;
	} else if(f.ReqBlOffTimer.value != '' && checkCharType(f.ReqBlOffTimer.value, 'numeric') == false) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_BlOffTimer').style.display = '';
		document.getElementById('P_BlOffTimer').innerHTML = '※バックライトOFF時間は、フォーマットが正しくありません。[半角数字1～9999]';
		bCheckResult = false;
	} else {
		document.getElementById('P_BlOffTimer').style.display='none';
		document.getElementById('P_BlOffTimer').innerHTML = '';
	}

	//無効時間帯①From
	if(f.disableTime1ToHH.value + f.disableTime1ToMM.value != '' 
		&& (f.disableTime1FromHH.value == '' || f.disableTime1FromMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime1From').style.display = '';
		document.getElementById('P_DisableTime1From').innerHTML = '※無効時間帯①開始時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime1From').style.display = 'none';
		document.getElementById('P_DisableTime1From').innerHTML = '';
	}
	//無効時間帯①To
	if(f.disableTime1FromHH.value + f.disableTime1FromMM.value != '' 
		&& (f.disableTime1ToHH.value == '' || f.disableTime1ToMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime1To').style.display = '';
		document.getElementById('P_DisableTime1To').innerHTML = '※無効時間帯①終了時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime1To').style.display = 'none';
		document.getElementById('P_DisableTime1To').innerHTML = '';
	}

	//無効時間帯①From < To
	if(f.disableTime1FromHH.value != '' && f.disableTime1FromMM.value != ''
		&& f.disableTime1ToHH.value != '' && f.disableTime1ToMM.value != ''
		&& parseInt(f.disableTime1FromHH.value + f.disableTime1FromMM.value, 10) >=
			parseInt(f.disableTime1ToHH.value + f.disableTime1ToMM.value, 10)) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime1From').style.display = '';
		document.getElementById('P_DisableTime1From').innerHTML = '※無効時間帯①開始時分＜終了時分で入力してください。';
		bCheckResult = false;
	}

	//無効時間帯②From
	if(f.disableTime2ToHH.value + f.disableTime2ToMM.value != '' 
		&& (f.disableTime2FromHH.value == '' || f.disableTime2FromMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime2From').style.display = '';
		document.getElementById('P_DisableTime2From').innerHTML = '※無効時間帯②開始時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime2From').style.display = 'none';
		document.getElementById('P_DisableTime2From').innerHTML = '';
	}
	//無効時間帯②To
	if(f.disableTime2FromHH.value + f.disableTime2FromMM.value != '' 
		&& (f.disableTime2ToHH.value == '' || f.disableTime2ToMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime2To').style.display = '';
		document.getElementById('P_DisableTime2To').innerHTML = '※無効時間帯②終了時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime2To').style.display = 'none';
		document.getElementById('P_DisableTime2To').innerHTML = '';
	}

	//無効時間帯②From < To
	if(f.disableTime2FromHH.value != '' && f.disableTime2FromMM.value != ''
		&& f.disableTime2ToHH.value != '' && f.disableTime2ToMM.value != ''
		&& parseInt(f.disableTime2FromHH.value + f.disableTime2FromMM.value, 10) >=
			parseInt(f.disableTime2ToHH.value + f.disableTime2ToMM.value, 10)) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime2From').style.display = '';
		document.getElementById('P_DisableTime2From').innerHTML = '※無効時間帯②開始時分＜終了時分で入力してください。';
		bCheckResult = false;
	}

	//無効時間帯③From
	if(f.disableTime3ToHH.value + f.disableTime3ToMM.value != '' 
		&& (f.disableTime3FromHH.value == '' || f.disableTime3FromMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime3From').style.display = '';
		document.getElementById('P_DisableTime3From').innerHTML = '※無効時間帯③開始時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime3From').style.display = 'none';
		document.getElementById('P_DisableTime3From').innerHTML = '';
	}
	//無効時間帯③To
	if(f.disableTime3FromHH.value + f.disableTime3FromMM.value != '' 
		&& (f.disableTime3ToHH.value == '' || f.disableTime3ToMM.value == '')) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime3To').style.display = '';
		document.getElementById('P_DisableTime3To').innerHTML = '※無効時間帯③終了時分は、省略できません。';
		bCheckResult = false;
	} else {
		document.getElementById('P_DisableTime3To').style.display = 'none';
		document.getElementById('P_DisableTime3To').innerHTML = '';
	}

	//無効時間帯③From < To
	if(f.disableTime3FromHH.value != '' && f.disableTime3FromMM.value != ''
		&& f.disableTime3ToHH.value != '' && f.disableTime3ToMM.value != ''
		&& parseInt(f.disableTime3FromHH.value + f.disableTime3FromMM.value, 10) >=
			parseInt(f.disableTime3ToHH.value + f.disableTime3ToMM.value, 10)) {
		document.getElementById('TR_Save_Set').className = 'gnp-error-point';
		document.getElementById('P_DisableTime3From').style.display = '';
		document.getElementById('P_DisableTime3From').innerHTML = '※無効時間帯③開始時分＜終了時分で入力してください。';
		bCheckResult = false;
	}

	document.getElementById('P_SwitchTimeFrom').style.display = 'none';
	document.getElementById('P_SwitchTimeFrom').innerHTML = '';
	document.getElementById('P_SwitchTimeTo').style.display = 'none';
	document.getElementById('P_SwitchTimeTo').innerHTML = '';

	//出勤ボタンがONの時間帯
	if(document.getElementById('gnp-input-switch-2').checked) {
		if(f.switchTimeFromHH.value == '' || f.switchTimeFromMM.value == '') {
			document.getElementById('TR_ModeChange').className = 'gnp-error-point';
			document.getElementById('P_SwitchTimeFrom').style.display = '';
			document.getElementById('P_SwitchTimeFrom').innerHTML = '※出勤ボタンがONの時間帯開始時分は、省略できません。';
			bCheckResult = false;
		}
		if(f.switchTimeToHH.value == '' || f.switchTimeToMM.value == '') {
			document.getElementById('TR_ModeChange').className = 'gnp-error-point';
			document.getElementById('P_SwitchTimeTo').style.display = '';
			document.getElementById('P_SwitchTimeTo').innerHTML = '※出勤ボタンがONの時間帯終了時分は、省略できません。';
			bCheckResult = false;
		}
	} else {
		if(f.switchTimeToHH.value + f.switchTimeToMM.value != '' 
			&& (f.switchTimeFromHH.value == '' || f.switchTimeFromMM.value == '')) {
			document.getElementById('TR_ModeChange').className = 'gnp-error-point';
			document.getElementById('P_SwitchTimeFrom').style.display = '';
			document.getElementById('P_SwitchTimeFrom').innerHTML = '※出勤ボタンがONの時間帯開始時分は、省略できません。';
			bCheckResult = false;
		}
		if(f.switchTimeFromHH.value + f.switchTimeFromMM.value != '' 
			&& (f.switchTimeToHH.value == '' || f.switchTimeToMM.value == '')) {
			document.getElementById('TR_ModeChange').className = 'gnp-error-point';
			document.getElementById('P_SwitchTimeTo').style.display = '';
			document.getElementById('P_SwitchTimeTo').innerHTML = '※出勤ボタンがONの時間帯終了時分は、省略できません。';
			bCheckResult = false;
		}
	}

	//出勤ボタンがONの時間帯From < To
	if(f.switchTimeFromHH.value != '' && f.switchTimeFromMM.value != ''
		&& f.switchTimeToHH.value != '' && f.switchTimeToMM.value != ''
		&& parseInt(f.switchTimeFromHH.value + f.switchTimeFromMM.value, 10) >=
			parseInt(f.switchTimeToHH.value + f.switchTimeToMM.value, 10)) {
		document.getElementById('TR_ModeChange').className = 'gnp-error-point';
		document.getElementById('P_SwitchTimeFrom').style.display = '';
		document.getElementById('P_SwitchTimeFrom').innerHTML = '※出勤ボタンがONの時間帯開始時分＜終了時分で入力してください。';
		bCheckResult = false;
	}

	if(bCheckResult == false) {
		document.getElementById('DIV_Error').style.display = '';
		return false;
	} else {
		document.getElementById('DIV_Error').style.display = 'none';

		//画面設定により、XML項目の編集
		funcEditXMLItem();
		return true;
	}
}

/////////////////////////////////////////////////
//画面設定により、XML項目の編集処理
/////////////////////////////////////////////////
function funcEditXMLItem() {
	var f = document.forms[0];
	//人感センサー有無 & バックライト制御有無 & スクリーンセーバー制御有無
	if(f.rdoSaveMode.value == '1') {
		f.ReqPersonSensor.value = '0';
		f.ReqBacklight.value = '0';
		f.ReqScreenSaver.value = '0';
	} else if(f.rdoSaveMode.value == '2') {
		f.ReqPersonSensor.value = '1';
		f.ReqBacklight.value = '1';
		f.ReqScreenSaver.value = '2';
	} else if(f.rdoSaveMode.value == '3') {
		f.ReqPersonSensor.value = '0';
		f.ReqBacklight.value = '0';
		f.ReqScreenSaver.value = '2';
	} else if(f.rdoSaveMode.value == '4') {
		f.ReqPersonSensor.value = '1';
		f.ReqBacklight.value = '1';
		f.ReqScreenSaver.value = '0';
	}
	//無効時間帯①From
	if(f.disableTime1FromHH.value != '' && f.disableTime1FromMM.value != '') {
		f.ReqBlOffNon1From.value = f.disableTime1FromHH.value + ':' + f.disableTime1FromMM.value;
	} else {
		f.ReqBlOffNon1From.value = '';
	}
	//無効時間帯①To
	if(f.disableTime1ToHH.value != '' && f.disableTime1ToMM.value != '') {
		f.ReqBlOffNon1To.value = f.disableTime1ToHH.value + ':' + f.disableTime1ToMM.value;
	} else {
		f.ReqBlOffNon1To.value = '';
	}
	//無効時間帯②From
	if(f.disableTime2FromHH.value != '' && f.disableTime2FromMM.value != '') {
		f.ReqBlOffNon2From.value = f.disableTime2FromHH.value + ':' + f.disableTime2FromMM.value;
	} else {
		f.ReqBlOffNon2From.value = '';
	}
	//無効時間帯②To
	if(f.disableTime2ToHH.value != '' && f.disableTime2ToMM.value != '') {
		f.ReqBlOffNon2To.value = f.disableTime2ToHH.value + ':' + f.disableTime2ToMM.value;
	} else {
		f.ReqBlOffNon2To.value = '';
	}
	//無効時間帯③From
	if(f.disableTime3FromHH.value != '' && f.disableTime3FromMM.value != '') {
		f.ReqBlOffNon3From.value = f.disableTime3FromHH.value + ':' + f.disableTime3FromMM.value;
	} else {
		f.ReqBlOffNon3From.value = '';
	}
	//無効時間帯③To
	if(f.disableTime3ToHH.value != '' && f.disableTime3ToMM.value != '') {
		f.ReqBlOffNon3To.value = f.disableTime3ToHH.value + ':' + f.disableTime3ToMM.value;
	} else {
		f.ReqBlOffNon3To.value = '';
	}
	//切り替え設定
	if(f.rdoModeChange.value == '1') {
		f.ReqModeChange.value = '0';
		f.ReqModeAuto.value = '0';
	} else if(f.rdoModeChange.value == '2') {
		f.ReqModeChange.value = '1';
		f.ReqModeAuto.value = '0';
	} else if(f.rdoModeChange.value == '3') {
		f.ReqModeChange.value = '1';
		f.ReqModeAuto.value = '1';
	} else if(f.rdoModeChange.value == '4') {
		f.ReqModeChange.value = '1';
		f.ReqModeAuto.value = '2';
	} else if(f.rdoModeChange.value == '5') {
		f.ReqModeChange.value = '1';
		f.ReqModeAuto.value = '3';
	}
	//出勤ボタンがONの時間帯From
	if(f.switchTimeFromHH.value != '' && f.switchTimeFromMM.value != '') {
		f.ReqModeChgFrom.value = f.switchTimeFromHH.value + ':' + f.switchTimeFromMM.value;
	} else {
		f.ReqModeChgFrom.value = '';
	}
	//出勤ボタンがONの時間帯To
	if(f.switchTimeToHH.value != '' && f.switchTimeToMM.value != '') {
		f.ReqModeChgTo.value = f.switchTimeToHH.value + ':' + f.switchTimeToMM.value;
	} else {
		f.ReqModeChgTo.value = '';
	}
}

/////////////////////////////////////////////////
//ボディオンロードイベント処理
/////////////////////////////////////////////////
function funcOnload() {
	var f = document.forms[0];
	//日付表示
	if(f.hidDispFormatDay.value == '1') {
		document.getElementById('gnp-viewDate-yes').checked = true;
	} else {
		document.getElementById('gnp-viewDate-no').checked = true;
	}
	//時計表示
	if(f.hidDispMode.value == '12') {
		document.getElementById('gnp-viewTime-12').checked = true;
	} else {
		document.getElementById('gnp-viewTime-24').checked = true;
	}
	//秒表示
	if(f.hidDispFormatSec.value == '1') {
		document.getElementById('gnp-viewSecond-yes').checked = true;
	} else {
		document.getElementById('gnp-viewSecond-no').checked = true;
	}
	//タイムレコーダーボタン指定
	if(f.hidDispPatternMainBtn.value == '1') {
		document.getElementById('gnp-viewTR-1').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '2') {
		document.getElementById('gnp-viewTR-2').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '3') {
		document.getElementById('gnp-viewTR-3').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '4') {
		document.getElementById('gnp-viewTR-4').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '5') {
		document.getElementById('gnp-viewTR-5').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '6') {
		document.getElementById('gnp-viewTR-6').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '7') {
		document.getElementById('gnp-viewTR-7').checked = true;
	} else if(f.hidDispPatternMainBtn.value == '8') {
		document.getElementById('gnp-viewTR-8').checked = true;
	} else {
		document.getElementById('gnp-viewTR-1').checked = true;
	}
	//節電モード
	if(f.ReqPersonSensor.value == '0' && f.ReqBacklight.value == '0' && f.ReqScreenSaver.value == '0') {
		document.getElementById('gnp-save-list-1').checked = true;
	} else if(f.ReqPersonSensor.value == '1' && f.ReqBacklight.value == '1' && f.ReqScreenSaver.value == '2') {
		document.getElementById('gnp-save-list-2').checked = true;
	} else if(f.ReqPersonSensor.value == '0' && f.ReqBacklight.value == '0' && f.ReqScreenSaver.value == '2') {
		document.getElementById('gnp-save-list-3').checked = true;
	} else if(f.ReqPersonSensor.value == '1' && f.ReqBacklight.value == '1' && f.ReqScreenSaver.value == '0') {
		document.getElementById('gnp-save-list-4').checked = true;
	} else {
		document.getElementById('gnp-save-list-1').checked = true;
	}
	//無効時間帯①From
	if(f.ReqBlOffNon1From.value != '') {
		setHHMM(f.ReqBlOffNon1From.value, f.disableTime1FromHH, f.disableTime1FromMM);
	}
	//無効時間帯①To
	if(f.ReqBlOffNon1To.value != '') {
		setHHMM(f.ReqBlOffNon1To.value, f.disableTime1ToHH, f.disableTime1ToMM);
	}
	//無効時間帯②From
	if(f.ReqBlOffNon2From.value != '') {
		setHHMM(f.ReqBlOffNon2From.value, f.disableTime2FromHH, f.disableTime2FromMM);
	}
	//無効時間帯②To
	if(f.ReqBlOffNon2To.value != '') {
		setHHMM(f.ReqBlOffNon2To.value, f.disableTime2ToHH, f.disableTime2ToMM);
	}
	//無効時間帯③From
	if(f.ReqBlOffNon3From.value != '') {
		setHHMM(f.ReqBlOffNon3From.value, f.disableTime3FromHH, f.disableTime3FromMM);
	}
	//無効時間帯③To
	if(f.ReqBlOffNon3To.value != '') {
		setHHMM(f.ReqBlOffNon3To.value, f.disableTime3ToHH, f.disableTime3ToMM);
	}
	//切り替え設定
	if(f.ReqModeChange.value == '0' && f.ReqModeAuto.value == '0') {
		document.getElementById('gnp-input-switch-1').checked = true;
	} else if(f.ReqModeChange.value == '1' && f.ReqModeAuto.value == '0') {
		document.getElementById('gnp-input-switch-2').checked = true;
	} else if(f.ReqModeChange.value == '1' && f.ReqModeAuto.value == '1') {
		document.getElementById('gnp-input-switch-3').checked = true;
	} else if(f.ReqModeChange.value == '1' && f.ReqModeAuto.value == '2') {
		document.getElementById('gnp-input-switch-4').checked = true;
	} else if(f.ReqModeChange.value == '1' && f.ReqModeAuto.value == '3') {
		document.getElementById('gnp-input-switch-5').checked = true;
	} else {
		document.getElementById('gnp-input-switch-1').checked = true;
	}
	//出勤ボタンがONの時間帯From
	if(f.ReqModeChgFrom.value != '') {
		setHHMM(f.ReqModeChgFrom.value, f.switchTimeFromHH, f.switchTimeFromMM);
	}
	//出勤ボタンがONの時間帯To
	if(f.ReqModeChgTo.value != '') {
		setHHMM(f.ReqModeChgTo.value, f.switchTimeToHH, f.switchTimeToMM);
	}
	//切り替えてからの時間経過で戻す
	f.ReqModeChgTime.value = f.hidModeChgTime.value;

	//ICカードタッチで直ちに戻す
	if(f.hidModeIcRet.value == '1') {
		document.getElementById('gnp-returnIc-yes').checked = true;
	} else {
		document.getElementById('gnp-returnIc-no').checked = true;
	}
}

/////////////////////////////////////////////////
//時コンボと分コンボ
/////////////////////////////////////////////////
function setHHMM(value, selHH, selMM) {
	var strHHMM = value.split(':');
	selHH.value = strHHMM[0];
	selMM.value = strHHMM[1];
}